Skip to main content

Update NIBSS Mandate

Overview​

The UpdateNibssMandateCommand updates an existing NIBSS direct debit mandate. A grouped GSI mandate can only be updated while its batch is Building. Other mandates retain the existing Draft/Rejected edit rule. Once a grouped GSI batch is finalized, its mandates can no longer be edited.

Command Details​

  • Command: UpdateNibssMandateCommand
  • Type: Command

API Endpoint​

POST /api/bpm/cmd

Request Structure​

FieldTypeRequiredDescription
mandateIdlongYesThe ID of the mandate to update
amountdecimalNoUpdated total mandate amount
debitAmountdecimalNoUpdated debit instalment amount
numberOfInstallmentsintNoUpdated number of instalments
mobileNumberstringNoUpdated mobile number
emailAddressstringNoUpdated email address
payerNamestringNoUpdated payer name
tagstringNoUpdated tag

Try It Out​

POST/api/bpm/cmdUpdateNibssMandateCommand
Request Body

Response Structure​

{
"response": {
"id": 5012,
"status": "Draft"
},
"responseCode": "00",
"responseDescription": "Mandate updated successfully"
}